Chatbots
Learn how to programmatically manage AI chatbots with the Support AI API endpoints.
The Chatbot API can be used to retrieve your chatbots within your Support AI account.
Properties
idstringUnique identifier for the chatbot.
uidstringSecondary identifier for the chatbot. (Deprecated)
namestringThe name of the chatbot.
configurationstringThe details of the chatbot configuration.
GET /getMyChatbots
List all Chatbots
Get the list of all your chatbots including their settings of your account.
Request
GET /getMyChatbots
curl -G https://api.supportai.com/getMyChatbots \
-H "Authorization: Bearer IDZFdfiD..." \
Response
{
"success": true,
"data": [
{
"id": "i082x935...",
"name": "My Chatbot",
"configuration": "{json string containing chatbot's configuration}"
},
...
]
}
GET /fetchChatbot/:chatbot_id
Fetch Chatbot
Get the details of a specific chatbot of your account based on the ID.
Required attributes
chatbot_idstringThe ID of the chatbot being requested.
Request
POST /fetchChatbot/:chatbot_id
curl https://api.supportai.com/fetchChatbot/:chatbot_id \
-H "Authorization: Bearer IDZFdfiD..." \
Response
{
"success": true,
"data": [
{
"id": "i082x935...",
"name": "My Chatbot",
"configuration": "{json string containing chatbot's configuration}"
}
]
}

